%define aprver 1
%define aprver %(echo %version | cut -d. -f 1)

Name:          libapr
Version:       1.5.1
Release:       1mamba
Epoch:         1
Summary:       The Apache Portable Runtime (APR)
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://apr.apache.org/
Source:        http://mirror.nohup.it/apache/apr/apr-%{version}.tar.gz
Source2:       http://apache.webthing.com/svn/apache/apr/apr_dbd_mysql.c
Patch0:        %{name}-1.4.2-alias.patch
License:       Apache License 2.0
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libuuid-devel
BuildRequires: pkg-config
## AUTOBUILDREQ-END
Provides:      libapr1
Obsoletes:     libapr1

%description
The mission of the Apache Portable Runtime (APR) project is to create and maintain software libraries that provide a predictable and consistent interface to underlying platform-specific implementations.
The primary goal is to provide an API to which software developers may code and be assured of predictable if not identical behaviour regardless of the platform on which their software is built, relieving them of the need to code special-case conditions to work around or take advantage of platform-specific deficiencies or features.

%package devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      libapr = %{?epoch:%epoch:}%{version}-%{release}
Provides:      libapr1-devel = %{?epoch:%epoch:}%{version}-%{release}
Obsoletes:     libapr1-devel

%description devel
The mission of the Apache Portable Runtime (APR) project is to create and maintain software libraries that provide a predictable and consistent interface to underlying platform-specific implementations.
The primary goal is to provide an API to which software developers may code and be assured of predictable if not identical behaviour regardless of the platform on which their software is built, relieving them of the need to code special-case conditions to work around or take advantage of platform-specific deficiencies or features.

This package contains static libraries and header files need for development.

%prep
%setup -q -n apr-%{version}
#%patch0 -p1

%build
%configure \
   --with-installbuilddir=%{_datadir}/apr/build-%{aprver}/ \
   --includedir=%{_includedir}/apr-1

%make

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%makeinstall

# unpackaged files
rm -f %{buildroot}%{_libdir}/apr.exp

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/apr-%{aprver}-config
%{_libdir}/libapr-%{aprver}.so.*
%doc CHANGES LICENSE

%files devel
%defattr(-,root,root)
%{_datadir}/apr/build-%{aprver}/*
%{_libdir}/pkgconfig/apr-1.pc
%{_libdir}/libapr-%{aprver}.a
%{_libdir}/libapr-%{aprver}.la
%{_libdir}/libapr-%{aprver}.so
%{_includedir}/apr-%{aprver}/*.h

%changelog
* Wed Apr 23 2014 Automatic Build System <autodist@mambasoft.it> 1.5.1-1mamba
- automatic version update by autodist

* Thu Nov 21 2013 Automatic Build System <autodist@mambasoft.it> 1.5.0-1mamba
- automatic update by autodist

* Fri Jun 21 2013 Automatic Build System <autodist@mambasoft.it> 1.4.8-1mamba
- automatic version update by autodist

* Sat Sep 29 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.6-1mamba
- update to 1.4.6

* Mon Mar 14 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.2-3mamba
- added patch to fix apache with mod_ssl segfault (see https://issues.apache.org/bugzilla/show_bug.cgi?id=50190)

* Wed Nov 24 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.2-2mamba
- rebuilt to add pkgconfig provides

* Sat Feb 20 2010 Automatic Build System <autodist@mambasoft.it> 1.4.2-1mamba
- automatic update by autodist

* Thu Oct 01 2009 Automatic Build System <autodist@mambasoft.it> 1.3.9-1mamba
- automatic update by autodist

* Fri Aug 07 2009 Automatic Build System <autodist@mambasoft.it> 1.3.8-1mamba
- automatic update by autodist

* Sat Jul 25 2009 Automatic Build System <autodist@mambasoft.it> 1.3.7-1mamba
- automatic update by autodist

* Sun Jul 19 2009 Automatic Build System <autodist@mambasoft.it> 1.3.6-1mamba
- automatic update by autodist

* Mon Dec 08 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.3-1mamba
- update to 1.3.3

* Sun Feb 10 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.12-1mamba
- update to 1.2.12
- libapr-devel: obsolete libapr1-devel

* Wed Nov 21 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.11-2mamba
- rename to libapr and obsolete libapr1 packages

* Thu Sep 27 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.11-1mamba
- update to 1.2.11

* Thu May 24 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.8-4mamba
- libapr1-devel: obsolete and remove libaprutil1-devel

* Tue May 08 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.8-3mamba
- set epoch to 1 as it was for libaprutil1 for updates to work

* Mon May 07 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.8-2mamba
- but libaprutil1 from libapr1 source package

* Fri Apr 27 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.8-1mamba
- update to 1.2.8
- includes installed into %{_includedir}/apr-1

* Thu Apr 19 2007 Davide Madrisan <davide.madrisan@gmail.com> 1.2.2-3mamba
- rebuilt with the openmamba compiler to fix the output of 'apr-1-config --cc'

* Mon Mar 20 2006 Davide Madrisan <davide.madrisan@qilinux.it> 1.2.2-2qilnx
- moved apr-%{aprver}-config executable to main package

* Wed Mar 01 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.2-1qilnx
- update to version 1.2.2 by autospec

* Mon Feb 07 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.0-1qilnx
- package created by autospec
